package cn.efunbox.audio.entity.hag;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * HagContent
 * Created by xusq on 2019/12/25.
 */
@Data
@ToString
@Entity
@Table(name = "hag_content")
@DynamicInsert
@DynamicUpdate
public class HagContent implements Serializable {

    @Id
    private String id;

    @Column(name = "album_id")
    private String albumId;

    private Integer chapter;

    @Column(name = "content_name")
    private String contentName;

    private String crowd;

    @Column(name = "first_class")
    private String firstClass;

    @Column(name = "second_class")
    private String secondClass;

    @Column(name = "third_class")
    private String thirdClass;

    @Column(name = "free_flag")
    private Integer freeFlag;

    private String language;

    private String url;

    @Column(name = "time_length")
    private String timeLength;

    private Integer status;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

}
