package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Channel;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface ChannelRepo extends JpaRepository<Channel, Long> {

    public List<Channel> findById(Long id);
    public List<Channel> findByIdFather(Long idFather);
    public List<Channel> findByName(String name);
    public List<Channel> findByNameLike(String name);

}
