package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Channel;
import cn.efunbox.audio.entity.Grouping;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface GroupingRepo extends JpaRepository<Grouping, Long> {

    public List<Grouping> findById(Long id);
    public List<Grouping> findByIdFather(Long idFather);
    public List<Grouping> findByName(String name);
    public List<Grouping> findByNameLike(String name);

}
