package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Channel;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface ChannelService {

    public Channel GetOne(Long id);

    public Page<Channel> SearchAll(int page, int size);

    public Channel SearchById(Long id);

    public List<Channel> SearchByIdFather(Long idFather);

    public List<Channel> SearchByName(String name);

    public Channel Insert(Channel channel);

    public void Delete(Long id);
}
