package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Album;
import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.utils.ApiResult;
import org.springframework.data.domain.Page;

import java.sql.Timestamp;
import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface DeviceService {

    public boolean CheckRegister(Long idChannel, String idDevice);

    public Device Register(Long idChannel, String idDevice);

    public Device Login(Long id, String token);

    public Device GetOne(Long id);

    public Page<Device> Search(Long idChannel, String idDevice, int page, int size);

    public Page<Device> SearchAll(int page, int size);

    public Page<Device> Search(Long idChannel, String idDevice, int page, int size, Timestamp start, Timestamp end);

    public Page<Device> SearchAll(int page, int size, Timestamp start, Timestamp end);

    public Device Update(Device device);

    public void Delete(Long id);

    public Device findToken(Long idChannel, String idDevice);
    public List<Album> findAlbum(String idDevice);
}
