package cn.efunbox.audio.repository.res;

import cn.efunbox.audio.entity.res.ResAlbum;
import cn.efunbox.audio.entity.res.ResCategory;
import cn.efunbox.audio.repository.base.BasicRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;

public interface ResAlbumRepository extends BasicRepository<ResAlbum> {

    List<ResAlbum> getByGmtCreatedAfterOrderByGmtCreated(@Param(value = "gmt_created") Date gmtCreated);


    List<ResAlbum> getByGmtCreatedAfterOrderByGmtCreatedDesc(@Param(value = "gmt_created") Date gmtCreated);


    @Query(value = "select * from res_album where gmt_modified > ?1 order by gmt_modified desc limit ?2,?3",nativeQuery = true)
    List<ResAlbum> getResCategoryLimit(@Param(value = "gmt_created") String gmtModified, @Param(value = "i") Integer i, @Param("n") Integer n);

    @Query(value = "select * from res_album where gmt_modified > ?1 order by gmt_modified asc limit ?2,?3",nativeQuery = true)
    List<ResAlbum> getResCategoryLimit2(@Param(value = "gmt_created") String gmtModified,@Param(value = "i") Integer i,@Param("n") Integer n);

    @Query(value = "select * from res_album where gmt_modified > ?1",nativeQuery = true)
    List<ResAlbum> getResCategoryLimit3(@Param(value = "gmt_modified") String gmtModified);
}
