package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Channel;
import cn.efunbox.audio.entity.Trail;
import org.springframework.data.domain.Page;

import java.sql.Timestamp;
import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface TrailService {

    public Trail GetOne(Long id);

    public Page<Trail> SearchAll(int page, int size);

    public Page<Trail> SearchByIdAdmin(Long idAdmin, int page, int size);

    public Page<Trail> SearchByTarget(String target, int page, int size);

    public Page<Trail> SearchByIdTarget(Long idTarget, int page, int size);

    public Page<Trail> SearchByTargetAndIdTarget(String target, Long idTarget, int page, int size);

    public Page<Trail> SearchByCreatedBetween(int page, int size, Timestamp start, Timestamp end);

    public Page<Trail> SearchByIdAdminAndCreatedBetween(Long idAdmin, int page, int size, Timestamp start, Timestamp end);

    public Page<Trail> SearchByTargetAndCreatedBetween(String target, int page, int size, Timestamp start, Timestamp end);

    public Page<Trail> SearchByIdTargetAndCreatedBetween(Long idTarget, int page, int size, Timestamp start, Timestamp end);

    public Trail Insert(Trail trail);
}
